import { MessageEntity } from '../entities/message.entity';

export interface IMessageRepository {
  save(message: MessageEntity): Promise<MessageEntity>;
  findById(id: string): Promise<MessageEntity | null>;
  findByConversationId(conversationId: string): Promise<MessageEntity[]>;
  countByConversationId(conversationId: string): Promise<number>;
}

export const MESSAGE_REPOSITORY = Symbol('IMessageRepository');
